0

enter image description here

I wanted to create a webpart using SharePoint solutions in visual studio 2015. I'm currently using sharepoint foundation 2013. I don't understand why I'm getting this error because it seems that I've already installed all the latest versions of software. Does anyone know how to solve this issue?

  • 2
    is visual studio and SharePoint install on same machine? – Waqas Sarwar MVP Jan 30 '18 at 13:46
0

Your Visual Studio 2015 installation must be in your SharePoint server.

-1

The SharePoint project templates that come with Visual Studio 2015 target SharePoint 2016. That's why you're getting this error. To build SharePoint farm solutions targeting SharePoint 2013, you need to use Visual Studio 2013.

Joe

  • This is not entirely true. While you may very well be able to create a solution for SP 2016 on VS 2015, I can tell you for a fact that I have created many, many solutions targeting SP 2013 (web parts, list definitions, event receivers, you name it) using VS 2015. – Dylan Cristy Jan 30 '18 at 20:15
  • It's true that it isn't entirely correct, it really depends on the version of office dev tools you have installed. VS 2013 comes with the version of office dev tools that targets SharePoint 2013. Now that you mention it, I believe 2015 didn't come with any version of office dev tools, since SP 2016 wasn't out yet, it's a separate download. VS 2017 comes with the version of office dev tools for SharePoint 2016. So I guess he really just needs to uninstall office dev tools and get the appropriate version for SP 2013. Or use VS 2013. – Joe McShea Jan 30 '18 at 21:21

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.